use strict;
my @fasta;

my $count = 0;
my $num = 0;

#ж
my $filetype;
if($ARGV[0] eq "-h" || $ARGV[0] eq "--help"){
  
	die "usage: getreads.pl <-fasta | -fastq> <read-file> <cigar-file>\n";
}
#print $#ARGV;
if($ARGV[0] eq "-fasta")
{
	$filetype = 0;
}elsif($ARGV[0] eq "-fastq")
{
	$filetype = 1;
}else{
	die "usage: getreads.pl <-fasta | -fastq> <read-file> <cigar-file>\n";
}

open INPUT,"<$ARGV[1]\n";
while(<INPUT>)
{
	$count++;
	if($filetype == 1){ #isfastq
	if(($count+3)%4 == 0)
	{
		split/\s+/,$_;
		$num = $_[0];
	}elsif(($count+2)%4 == 0){
		chomp;
		$fasta[$num] = $_;
		#print "\t$num\t$_\n";
	}
 	}elsif($filetype == 0){ #isfasta 
 		if(($count+1)%2 == 0)
 		{
 			split/\s+/,$_;
 			$num = $_[0];
 		}elsif($count%2 == 0){
 			chomp;
 			$fasta[$num] = $_;
 		}
 	
 	}
}
close(INPUT);
open CIGAR,"<$ARGV[2]";
open OUTPUT,">$ARGV[2].seq";
while(<CIGAR>)
{
	chomp;
	split/\s+/,$_;
	print OUTPUT "$_[2]\t$_[3]\t$_[4]\t$_[6]\t$_[7]\t$_[8]\t$fasta[$_[0]]\n";
			
}
close(CIGAR);
close(OUTPUT);
