#perl select_sequence.pl listFile seqFile

open INPUT1,"<$ARGV[1]" or die "$!";
open INPUT2,"<$ARGV[0]" or die "$!";

open OUTPUT1,">$ARGV[0].fastq" or die "$!";
open OUTPUT2,">$ARGV[0].error.txt" or die "$!";
#open OUTPUT3,">unfound.seq" or die "$!";	#add11.8

while (<INPUT1>) {
	if (/^\@(HWI\S+)/) {
		if (exists $hash{$1}) {
			print OUTPUT2 "warn: $1\n";
		}
		$hash{$1}=$_;
	}
	else {
		$hash{$1}.=$_;
	}
}

while (<INPUT2>) {
	chomp;
#	s/\s+$//;
	($_,$seq)=split(/\t/,$_);
	if (exists $hash{$_}) {
		print OUTPUT1 "$hash{$_}";
		delete $hash{$_};		#add11.8
	}
	else {
		print OUTPUT2 "error2: $_\n";
	}
}


#foreach (keys %hash) {				#add11.8
#	print OUTPUT3 "$hash{$_}";		#add11.8
#}						#add11.8