use strict;

if($#ARGV < 2){
	die "Usage: unpack.pl <result-file> <unique-file> <multiple-file>\n";
}

if($ARGV[0] eq "-h" || $ARGV[0] eq "--help"){
  
	die "usage: unpack.pl <result-file> <unique-file> <multiple-file>\n";
}

my $name;
my $repeatNT;
my $pre_line;
my $light = -1;

open INPUT,"<$ARGV[0]";
open UNIQE,">$ARGV[1]";
open MUL,">$ARGV[2]";
while(<INPUT>){
   my $tmp = $_;
   my @line = split/\s+/,$_;
   if($name eq $line[0])
   {
   	print MUL $pre_line;
   	$light = 1;
   }else{
   	if($light == 1)
   	{
   		print MUL $pre_line;
   	}else{
   		print UNIQE $pre_line;
   	}
   	$light = 0;
   }
   $name = $line[0];
   $pre_line = $tmp;
}
close(INPUT);

if($light == 1)
{
  	print MUL $pre_line;
}elsif($light == 0)
{ 
	print UNIQE $pre_line;
}